'\" Copyright 1991 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
'\" 
'\" $Header: /sprite/src/lib/c/quad/RCS/Quad_Misc.man,v 1.1 91/03/18 12:20:38 kupfer Exp $ SPRITE (Berkeley)
'/" 
.so \*(]ltmac.sprite
.HS Quad lib
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
Quad_PutUns, Quad_UnsToDouble \- Formatting and conversion for 64-bit integers
.SH SYNOPSIS
.nf
\fB#include <quad.h>\fR
.sp
void
\fBQuad_PutUns\fR(\fIstream\fR, \fIuQuad\fP)
.sp
double
\fBQuad_UnsToDouble\fR(\fIuQuad\fR)
.SH ARGUMENTS
.AS u_quad uQuad
.AP FILE *stream in
I/O stream to write to.
.AP u_quad uQuad in
Unsigned 64-bit integer to operate on.
.BE

.SH DESCRIPTION
.PP
.B Quad_PutUns
formats an unsigned quad value and writes it to the given
.IR stream .
If the value is larger than a single integer, it is written as a
floating point number.
.B Quad_UnsToDouble
converts an unsigned quad to a C double.

.SH KEYWORDS
quad, I/O, conversion
