.\" Copyright (c) 1980 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)ferror.3s	6.3 (Berkeley) 5/14/86
.\"
.TH FERROR 3S  "May 14, 1986"
.UC 4
.SH NAME
ferror, feof, clearerr, fileno \- stream status inquiries
.SH SYNOPSIS
.B #include <stdio.h>
.PP
.B feof(stream)
.br
.SM
.B FILE
.B *stream;
.PP
.B ferror(stream)
.br
.SM
.B FILE
.B *stream
.PP
.B clearerr(stream)
.br
.SM
.B FILE
.B *stream
.PP
.B fileno(stream)
.br
.SM
.B FILE
.B *stream;
.SH DESCRIPTION
.I Feof
returns non-zero when end of file is read on the named input
.IR stream ,
otherwise zero.
Unless cleared by
.IR clearerr ,
the end-of-file indication lasts until
the stream is closed.
.PP
.I Ferror
returns non-zero when an error has occurred reading or writing
the named
.IR stream ,
otherwise zero.
Unless cleared by
.IR clearerr ,
the error indication lasts until
the stream is closed.
.PP
.I Clearerr
resets the error and end-of-file indicators on the named
.IR stream .
.PP
.I Fileno
returns the integer file descriptor
associated with the
.IR stream ,
see
.IR open (2).
.PP
Currently all of these functions
are implemented as macros;
they cannot be redeclared.
.SH "SEE ALSO"
fopen(3S),
open(2)
