.\" Copyright (c) 1980 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)nlist.3	6.1 (Berkeley) 5/15/85
.\"
.TH NLIST 3  "May 15, 1985"
.UC 4
.SH NAME
nlist \- get entries from name list
.SH SYNOPSIS
.nf
.B #include <nlist.h>
.PP
.B nlist(filename, nl)
.B char *filename;
.B struct nlist nl[];
.fi
.SH DESCRIPTION
.I Nlist
examines the name list in the given executable output file
and selectively extracts a list of values.
The name list consists of an array of structures containing names,
types and values.
The list is terminated with a null name.
Each name is looked up in the name list of the file.
If the name is found, the type and value of the
name are inserted in the next two fields.
If the name is not found, both entries are set to 0.
See
.IR a.out (5)
for the structure declaration.
.PP
This subroutine is useful for examining the system name list kept in the file
.BR /vmunix .
In this way programs can obtain system addresses that are up to date.
.SH "SEE ALSO"
a.out(5)
.SH DIAGNOSTICS
If the file cannot be found or if it is not a valid namelist \-1 is returned;
otherwise, the number of unfound namelist entries is returned.
.PP
The type entry is set to 0 if the symbol is not found.
