.\" Copyright (c) 1980 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)perror.3	6.2 (Berkeley) 9/10/87
.\"
.TH PERROR 3  "September 10, 1987"
.UC 4
.SH NAME
perror, sys_errlist, sys_nerr \- system error messages
.SH SYNOPSIS
.nf
.B perror(string)
.B char *string;
.PP
.B int sys_nerr;
.B char *sys_errlist[];
.fi
.SH DESCRIPTION
.I Perror
produces a short error message on the standard error file
describing the last error encountered during a call
to the system from a C program.  If \fIstring\fP is non-NULL,
it is printed, followed by a colon, followed by a space,
followed by the message and a new-line.  Otherwise, just the
message and the new-line are printed.  Most usefully, the argument
string is the name of the program which incurred the error.
The error number is taken from the external variable
.I errno
(see
.IR intro (2)),
which is set when errors occur but not cleared when
non-erroneous calls are made.
.PP
To simplify variant formatting of messages, the vector of message strings
.I sys_errlist
is provided;
.I errno
can be used as an index in this table to get the
message string without the newline.
.I Sys_nerr
is the number of messages provided for in the table;
it should be checked because new error codes may be added to the system before
they are added to the table.
.SH "SEE ALSO"
intro(2),
psignal(3)
