.\" Copyright (c) 1983 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)rexec.3	6.5 (Berkeley) 5/14/86
.\"
.TH REXEC 3 "May 14, 1986"
.UC 5
.SH NAME
rexec \- return stream to a remote command
.SH SYNOPSIS
.nf
.PP
.B "rem = rexec(ahost, inport, user, passwd, cmd, fd2p);"
.B char **ahost;
.B int inport;
.B "char *user, *passwd, *cmd;"
.B int *fd2p;
.fi
.SH DESCRIPTION
.I Rexec
looks up the host
.I *ahost
using
.IR gethostbyname (3N),
returning \-1 if the host does not exist.
Otherwise
.I *ahost
is set to the standard name of the host.
If a username and password are both specified, then these
are used to authenticate to the foreign host; otherwise
the environment and then the user's
.I .netrc
file in his
home directory are searched for appropriate information.
If all this fails, the user is prompted for the information.
.PP
The port
.I inport
specifies which well-known DARPA Internet port to use for
the connection; the call ``getservbyname("exec", "tcp")'' (see 
.IR getservent (3N))
will return a pointer to a structure, which contains the
necessary port.
The protocol for connection is described in detail in
.IR rexecd (8C).
.PP
If the connection succeeds,
a socket in the Internet domain of type SOCK_STREAM is returned to
the caller, and given to the remote command as
.B stdin
and
.BR stdout .
If
.I fd2p
is non-zero, then an auxiliary channel to a control
process will be setup, and a descriptor for it will be placed
in
.IR *fd2p .
The control process will return diagnostic
output from the command (unit 2) on this channel, and will also
accept bytes on this channel as being UNIX signal numbers, to be
forwarded to the process group of the command.  The diagnostic
information returned does not include remote authorization failure,
as the secondary connection is set up after authorization has been
verified.
If
.I fd2p
is 0, then the 
.B stderr
(unit 2 of the remote
command) will be made the same as the 
.B stdout
and no
provision is made for sending arbitrary signals to the remote process,
although you may be able to get its attention by using out-of-band data.
.SH SEE ALSO
rcmd(3), rexecd(8C)
