.\" Copyright (c) 1980 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)setfiletype.2	6.5 (Berkeley) 5/13/86
.\"
.TH SETFILETYPE 2 "January 18, 1989"
.UC 4
.SH NAME
setfiletype \- change advisory file type of file
.SH SYNOPSIS
.nf
.ft B
setfiletype(path, type)
char *path;
int type;
.PP
.fi
.SH DESCRIPTION
The file whose name
is given by \fIpath\fP
has its type changed to
.IR type .
Types are defined in
.IR <fs.h> .
.RS
.nf
.ta \w'FS_USER_TYPE_UNDEFINED\ \ 'u +\w'0\ \ \ 'u
FS_USER_TYPE_UNDEFINED 	0	no type set
FS_USER_TYPE_TMP 	1	temporary file
FS_USER_TYPE_SWAP       2	swap file
FS_USER_TYPE_OBJECT     3	object file
FS_USER_TYPE_BINARY	4	executable
FS_USER_TYPE_OTHER      5	file that doesn't correspond to any specific type
.fi
.RE
.PP
The advisory file type is used by the system for statistics gathering.  At
some point in the future, it may be used for performance enhancements
as well: for example,  varying the amount of time allowed before
flushing a file to disk, 
depending on the importance of not losing data from it. 
.PP
Only the owner of a file (or the super-user) may change its type.
.SH "RETURN VALUE
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno
is set to indicate the error.
.SH "ERRORS
.I Setfiletype
will fail and the file type will be unchanged if:
.TP 15
[ENOTDIR]
A component of the path prefix is not a directory.
.TP 15
[EINVAL]
The pathname contains a character with the high-order bit set.
.TP 15
[ENAMETOOLONG]
A component of a pathname exceeded 255 characters,
or an entire path name exceeded 1023 characters.
.TP 15
[ENOENT]
The named file does not exist.
.TP 15
[EACCES]
Search permission is denied for a component of the path prefix.
.TP 15
[ELOOP]
Too many symbolic links were encountered in translating the pathname.
.TP 15
[EPERM]
The effective user ID does not match the owner of the file and
the effective user ID is not the super-user.
.TP 15
[EROFS]
The named file resides on a read-only file system.
.TP 15
[EFAULT]
.I Path
points outside the process's allocated address space.
.TP 15
[EIO]
An I/O error occurred while reading from or writing to the file system.
.SH "SEE ALSO"
chown(2), stat(2)

